Subject: [v11,1/4] drivers: jtag: Add JTAG core driver

From: [email-masked] (gregkh at linuxfoundation.org)
Date: Tue, 14 Nov 2017 12:31:44 +0100

On Tue, Nov 14, 2017 at 11:19:16AM +0000, Russell King - ARM Linux wrote:
> On Tue, Nov 14, 2017 at 12:10:46PM +0100, gregkh at linuxfoundation.org wrote:
> > On Tue, Nov 14, 2017 at 10:34:49AM +0000, Oleksandr Shamray wrote:
> > > Greg, what you can suggest about it. May be better to add again single-open()-per-device lock with right locking way like:
> > > 
> > > >if (mutex_lock_interruptible(&jtag->open_lock)) {
> > 
> > You would stall an open?  Why not just return saying you can't do that?
> 
> Greg, I think you need to look at the code again.

Heh, sorry, I probably got it wrong.  I'll be glad to review it in a
real patch when needed, but not in the middle of the merge window :)

thanks,

greg k-h